Loading...
Searching...
No Matches
Ogre::GpuNamedConstants Struct Reference
Core » Materials

Struct collecting together the information for named constants. More...

`#include <OgreGpuProgramParams.h>`

Inheritance diagram for Ogre::GpuNamedConstants:
[legend]

## Public Member Functions

| GpuNamedConstants ()
| ~GpuNamedConstants ()
size_t | calculateSize (void) const
void | load (DataStreamPtr &stream)
| Loads constant definitions from a stream compatible with GpuProgram::setManualNamedConstantsFile.
void | save (const String &filename) const
| Saves constant definitions to a file compatible with GpuProgram::setManualNamedConstantsFile.

## Public Attributes

size_t | bufferSize
| Total size of the buffer required.
GpuConstantDefinitionMap | map
| Map of parameter names to GpuConstantDefinition.
size_t | registerCount
| Number of register type params (samplers).

## Detailed Description

Struct collecting together the information for named constants.

## Constructor & Destructor Documentation

## GpuNamedConstants()

Ogre::GpuNamedConstants::GpuNamedConstants | ( |  | ) |

## ~GpuNamedConstants()

Ogre::GpuNamedConstants::~GpuNamedConstants | ( |  | ) |

## Member Function Documentation

## save()

void Ogre::GpuNamedConstants::save | ( | const String & | filename | ) | const

Saves constant definitions to a file compatible with GpuProgram::setManualNamedConstantsFile.

## load()

void Ogre::GpuNamedConstants::load | ( | DataStreamPtr & | stream | ) |

Loads constant definitions from a stream compatible with GpuProgram::setManualNamedConstantsFile.

## calculateSize()

size_t Ogre::GpuNamedConstants::calculateSize | ( | void |  | ) | const

## Member Data Documentation

## bufferSize

size_t Ogre::GpuNamedConstants::bufferSize

Total size of the buffer required.

## registerCount

size_t Ogre::GpuNamedConstants::registerCount

Number of register type params (samplers).

## map

GpuConstantDefinitionMap Ogre::GpuNamedConstants::map

Map of parameter names to GpuConstantDefinition.

The documentation for this struct was generated from the following file:

- OgreGpuProgramParams.h